1. accounts
api
  • auth
    • ouath
      • Login app
      • redirect
      • callback
    • accounts
      • Get Account
        GET
      • Account Delete
        DELETE
      • Account Preference Setttings Update
        PUT
      • Account Profile Update
        PUT
      • Account Deactivate
        POST
    • sessions
      • Get All Session
      • Delete Sessions
    • devices tokens
      • Create Device Tokens
    • Email Login
      POST
    • Check already account exists
      POST
    • New Account Register
      POST
    • Send OTP
      POST
    • Validate OTP email or phone
      POST
    • Refresh Tokens
      POST
    • Auth Logout
      POST
    • /auth/reset-password
      POST
    • New Password Set
      PUT
    • Password Change
      PUT
    • Email Verify
      POST
  • feed
    • Feed
      GET
  • stories
    • Create a new story
      POST
    • Get stories from friends/followers/public
      GET
    • Get a single story
      GET
    • Delete Story
      DELETE
  • analytics
  • comments
    • List User Comments
    • Create a Comment
    • Delete a Comment
    • Update a Comment
    • replies
  • message
    • List all messages
    • Create a Message
    • Create a Message Reply
    • Add Emoji to Message
  • notifications
    • List all notifications
    • Mark Notification as Read
    • Delete Notification
    • Delete all notification
  • interests
    • interests
  • multipart uplaods
    • Create Multipart Uplaod
    • GetUploadedParts
    • CompleteMultipartUpload
    • AbortMultipartUpload
    • SignPartUpload
  • friends
  • admin
    • auth
      • Admin Login
      • me
  • music
    • Create music
    • Delete music
  • users
    • User Lists
    • get user by username
    • User Follow
    • User Follow Unfollow
    • Get User Followers
    • Get User following
    • Get User Friends
  • posts
    • Create Draft Post
    • Update Posts
    • Destory Post
  • places
    • places
    • Single Place
  • hashtags
    • hashtags
    • hashtags trendings
    • Single HashTag
  • reactions
    • reactions
  • reports
    • Reports
  • Welcome
    GET
  • Untitled Endpoint
    POST
  • cdn
    GET
  1. accounts

Account Profile Update

Developing
PUT
/auth/account

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Examples

Responses

🟢200OK
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT '/auth/account' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "full_name": "MD Sohel Mia",
    "username": "mdsohelmia322",
    "email": "sohelcs2222e1999@gmail.com",
    "phone": "sohelcs2222e1999@gmail.com",
    "gender": "male",
    "language": "en",
    "dob": "2019-08-24",
    "bio": "Myname is sohel"
}'
Response Response Example
{
    "message": "string",
    "result": {
        "id": "string",
        "full_name": "string",
        "username": "string",
        "email": "string",
        "phone": "string",
        "gender": "string",
        "avatar": "string",
        "type": "string",
        "country_code": "string",
        "status": "string",
        "language": "string",
        "dob": "string",
        "created_at": "string",
        "last_active_at": "string"
    },
    "success": true
}
Modified at 2025-10-25 06:16:30
Previous
Account Preference Setttings Update
Next
Account Deactivate
Built with